> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all object properties

> Get all of the properties for the specified object type, along with the property definitions. This will include all default (HubSpot created) and custom (customer or integration created) properties for the specified object.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['contacts']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-properties-v2.json GET /properties/v2/{object_type}/properties
openapi: 3.0.0
info:
  title: CRM Properties API v2
  version: 2.0.0
  description: >-
    Legacy CRM Properties API v2 - Manage properties and property groups for any
    CRM object type
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /properties/v2/{object_type}/properties:
    get:
      summary: Get all object properties
      description: >-
        Get all of the properties for the specified object type, along with the
        property definitions. This will include all default (HubSpot created)
        and custom (customer or integration created) properties for the
        specified object.
      operationId: getpropertiesv2objecttypeproperties
      parameters:
        - name: object_type
          in: path
          required: true
          description: >-
            The specific type of CRM object to retrieve properties from. You can
            use the object name (e.g., `contacts`) or the `objectTypeId` (e.g.,
            `0-1`).
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response with all properties for the specified object
            type
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ObjectProperty'
components:
  schemas:
    ObjectProperty:
      type: object
      properties:
        name:
          type: string
          description: The internal name of the property
        label:
          type: string
          description: A human readable label for the property
        description:
          type: string
          description: A description of the property
        groupName:
          type: string
          description: The property group that the property belongs to
        type:
          type: string
          enum:
            - string
            - number
            - bool
            - datetime
            - enumeration
          description: The data type that the property stores
        fieldType:
          type: string
          enum:
            - textarea
            - select
            - text
            - date
            - file
            - number
            - radio
            - checkbox
          description: Controls how the property appears when used in forms
        options:
          type: array
          items:
            $ref: '#/components/schemas/PropertyOption'
          description: Options for enumeration properties
        displayOrder:
          type: integer
          description: >-
            Used to control the default order of the property within the
            property group
        formField:
          type: boolean
          description: Whether the property can be used in forms
        readOnlyValue:
          type: boolean
          description: Whether the property value is read-only
        readOnlyDefinition:
          type: boolean
          description: Whether the property definition is read-only
        hidden:
          type: boolean
          description: Whether the property is hidden
        mutableDefinitionNotDeletable:
          type: boolean
          description: Whether the property definition can be deleted
        favorited:
          type: boolean
          description: Whether the property is favorited
        favoritedOrder:
          type: integer
          description: The order of the property in the favorites list
        calculated:
          type: boolean
          description: Whether the property is calculated
        externalOptions:
          type: boolean
          description: Whether the property uses external options
        displayMode:
          type: string
          description: The display mode of the property
        showCurrencySymbol:
          type: boolean
          description: Whether to show currency symbol for number properties
        currencyPropertyName:
          type: string
          description: Name of the property that defines the currency
        textDisplayHint:
          type: string
          description: Display hint for text properties
        numberDisplayHint:
          type: string
          description: Display hint for number properties
        optionsAreMutable:
          type: boolean
          description: Whether the options can be modified
        referencedObjectType:
          type: string
          description: Referenced object type for relationship properties
        isCustomizedDefault:
          type: boolean
          description: Whether this is a customized default property
        searchableInGlobalSearch:
          type: boolean
          description: Whether the property is searchable in global search
        hasUniqueValue:
          type: boolean
          description: Whether the property must have unique values
        hubspotDefined:
          type: boolean
          description: Whether the property is defined by HubSpot
        deleted:
          type: boolean
          description: Whether the property has been deleted
        createdAt:
          type: integer
          description: Timestamp when the property was created
        updatedAt:
          type: integer
          description: Timestamp when the property was last updated
        createdUserId:
          type: integer
          description: The ID of the user who created the property
        updatedUserId:
          type: integer
          description: The ID of the user who last updated the property
    PropertyOption:
      type: object
      properties:
        description:
          type: string
          description: Description of the option
        label:
          type: string
          description: Human readable label for the option
        value:
          type: string
          description: Internal value for the option
        displayOrder:
          type: integer
          description: Order of the option in the list
        hidden:
          type: boolean
          description: Whether the option is hidden
        readOnly:
          type: boolean
          description: Whether the option is read-only
        doubleData:
          type: number
          description: Additional numeric data for the option

````